#! /usr/bin/env python
# -*- coding: Latin-1 -*-

# Tkinter grafikus konyvtarat hasznalo alkalmazas

from Tkinter import *

# altalanos mozgato eljaras :
def mozog(gd, hb):
    global x1, y1
    x1, y1 = x1 +gd, y1 +hb
    can1.coords(oval1, x1, y1, x1+30, y1+30)
      
# esmenykezelok definiciojas :
def mozdit_balra():
    mozog(-10, 0)

def mozdit_jobbra():
    mozog(10, 0)    

def mozdit_fel():
    mozog(0, -10)
        
def mozdit_le():
    mozog(0, 10)    

#------ Foprogram -------

# A kovetkezo valtozokat globalis valtozokkent hasznaljuk :
x1, y1 = 10, 10		# kiindulasi koordinatak
# a fowidget letrehozasal ("szülo") :
abl1 = Tk()
abl1.title("Animaciós gyakorlat Tkinter-rel")
# a "gyermek" widgetek letrehozasa :
can1 = Canvas(abl1,bg='dark grey',height=200,width=200)
oval1 = can1.create_oval(x1,y1,x1+30,y1+30,width=2,fill='red')
can1.pack(side=LEFT)
Button(abl1,text='Kilép',command=abl1.quit).pack(side=BOTTOM)
Button(abl1,text='Balra',command=mozdit_balra).pack()
Button(abl1,text='Jobbra',command=mozdit_jobbra).pack()
Button(abl1,text='Föl',command=mozdit_fel).pack()
Button(abl1,text='Le',command=mozdit_le).pack()
# esemenykezelo inditasa (fohurok) :
abl1.mainloop()

#avance -> mozog
#depl_gauche -> mozdit_balra
#depl_droite -> mozdit_jobbra
#depl_haut -> mozdit_fel
#depl_bas -> mozdit_le
#fen1 -> abl1